# Uses of Enum Class
org.apache.sysds.runtime.codegen.SpoofCellwise.CellType

Packages that use SpoofCellwise.CellType
Package
Description
org.apache.sysds.hops.codegen.cplan
org.apache.sysds.hops.codegen.template
org.apache.sysds.runtime.codegen

## Uses of SpoofCellwise.CellType in org.apache.sysds.hops.codegen.cplan

Methods in org.apache.sysds.hops.codegen.cplan that return SpoofCellwise.CellType
Modifier and Type
Method
Description
`SpoofCellwise.CellType`
CNodeCell.`getCellType()`
Methods in org.apache.sysds.hops.codegen.cplan with parameters of type SpoofCellwise.CellType
Modifier and Type
Method
Description
`void`
CNodeCell.`setCellType(SpoofCellwise.CellType type)`

## Uses of SpoofCellwise.CellType in org.apache.sysds.hops.codegen.template

Methods in org.apache.sysds.hops.codegen.template that return SpoofCellwise.CellType
Modifier and Type
Method
Description
`static SpoofCellwise.CellType`
TemplateUtils.`getCellType(Hop hop)`

## Uses of SpoofCellwise.CellType in org.apache.sysds.runtime.codegen

Methods in org.apache.sysds.runtime.codegen that return SpoofCellwise.CellType
Modifier and Type
Method
Description
`SpoofCellwise.CellType`
SpoofCellwise.`getCellType()`
`static SpoofCellwise.CellType`
SpoofCellwise.CellType.`valueOf(int cellType)`
Returns the enum constant of this class with the specified name.
`static SpoofCellwise.CellType`
SpoofCellwise.CellType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SpoofCellwise.CellType[]`
SpoofCellwise.CellType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.apache.sysds.runtime.codegen with parameters of type SpoofCellwise.CellType
Modifier
Constructor
Description
``
`SpoofCellwise(SpoofCellwise.CellType type, boolean sparseSafe, boolean containsSeq, SpoofCellwise.AggOp aggOp)`
``
`SpoofCUDACellwise(SpoofCellwise.CellType type, boolean sparseSafe, boolean containsSeq, SpoofCellwise.AggOp aggOp, int id, SpoofCUDAOperator.PrecisionProxy ep, SpoofCellwise fallback)`